OpenTTD AI API: Data Fields

OpenTTD AI API 15.0-RC4

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- CanBuildConnectedRoadParts() : AIRoad
- CanBuildConnectedRoadPartsHere() : AIRoad
- CanBuildIndustry() : AIIndustryType
- CanProspectIndustry() : AIIndustryType
- CanPullCargo() : AIEngine
- CanRefitCargo() : AIEngine
- CanRunOnRail() : AIEngine
- CanRunOnRoad() : AIEngine
- CargoAcceptState : AIIndustry
- CargoClass : AICargo
- CargoMode : AIStationList_Cargo
- CargoSelector : AIStationList_Cargo
- CAS_ACCEPTED : AIIndustry
- CAS_NOT_ACCEPTED : AIIndustry
- CAS_TEMP_REFUSED : AIIndustry
- CC_ARMOURED : AICargo
- CC_BULK : AICargo
- CC_COVERED : AICargo
- CC_EXPRESS : AICargo
- CC_HAZARDOUS : AICargo
- CC_LIQUID : AICargo
- CC_MAIL : AICargo
- CC_NON_POTABLE : AICargo
- CC_NON_POURABLE : AICargo
- CC_OVERSIZED : AICargo
- CC_PASSENGERS : AICargo
- CC_PIECE_GOODS : AICargo
- CC_POTABLE : AICargo
- CC_POWDERIZED : AICargo
- CC_REFRIGERATED : AICargo
- CF_EQUALS : AIOrder
- CF_INVALID : AIOrder
- CF_IS_FALSE : AIOrder
- CF_IS_TRUE : AIOrder
- CF_LESS_EQUALS : AIOrder
- CF_LESS_THAN : AIOrder
- CF_MORE_EQUALS : AIOrder
- CF_MORE_THAN : AIOrder
- CF_NOT_EQUALS : AIOrder
- Chance() : AIBase
- ChanceItem() : AIBase
- Clear() : AIList, AIPriorityQueue
- CloneVehicle() : AIVehicle
- CM_PLANNED : AIStationList_Cargo
- CM_WAITING : AIStationList_Cargo
- Colours : AICompany
- COMPANY_FIRST : AICompany
- COMPANY_INVALID : AICompany
- COMPANY_LAST : AICompany
- COMPANY_SELF : AICompany
- COMPANY_SPECTATOR : AICompany
- CompanyID : AICompany
- CompareFunction : AIOrder
- CONFIG_BOOLEAN : AIInfo
- CONFIG_DEVELOPER : AIInfo
- CONFIG_INGAME : AIInfo
- CONFIG_NONE : AIInfo
- Convert() : AIEventAircraftDestTooFar, AIEventCompanyAskMerger, AIEventCompanyBankrupt, AIEventCompanyInTrouble, AIEventCompanyMerger, AIEventCompanyNew, AIEventCompanyRenamed, AIEventCompanyTown, AIEventDisasterZeppelinerCleared, AIEventDisasterZeppelinerCrashed, AIEventEngineAvailable, AIEventEnginePreview, AIEventExclusiveTransportRights, AIEventIndustryClose, AIEventIndustryOpen, AIEventPresidentRenamed, AIEventRoadReconstruction, AIEventStationFirstVehicle, AIEventSubsidyAwarded, AIEventSubsidyExpired, AIEventSubsidyOffer, AIEventSubsidyOfferExpired, AIEventTownFounded, AIEventVehicleAutoReplaced, AIEventVehicleCrashed, AIEventVehicleLost, AIEventVehicleUnprofitable, AIEventVehicleWaitingInDepot
- ConvertRailType() : AIRail
- ConvertRoadType() : AIRoad
- CopyOrders() : AIOrder
- Corner : AITile
- CORNER_E : AITile
- CORNER_INVALID : AITile
- CORNER_N : AITile
- CORNER_S : AITile
- CORNER_W : AITile
- Count() : AIList, AIPriorityQueue
- CRASH_AIRCRAFT_NO_AIRPORT : AIEventVehicleCrashed
- CRASH_FLOODED : AIEventVehicleCrashed
- CRASH_PLANE_LANDING : AIEventVehicleCrashed
- CRASH_RV_LEVEL_CROSSING : AIEventVehicleCrashed
- CRASH_RV_UFO : AIEventVehicleCrashed
- CRASH_TRAIN : AIEventVehicleCrashed
- CrashReason : AIEventVehicleCrashed
- CreateGroup() : AIGroup
- CreateInstance() : AIInfo
- CS_BY_FROM : AIStationList_Cargo
- CS_BY_VIA : AIStationList_Cargo
- CS_FROM_BY_VIA : AIStationList_Cargo
- CS_VIA_BY_FROM : AIStationList_Cargo
- CT_AUTO_REFIT : AICargo
- CT_INVALID : AICargo
- CT_NO_REFIT : AICargo
- CURRENT_QUARTER : AICompany